API DocumentationManufacturer production step controller
Get production steps with filtering
GET
Retrieves a paginated list of production steps with optional filtering and search using RSQL
Phasio API Bearer Tokenheader
AuthorizationBearer <token>filter*stringRSQL query string for filtering (e.g. paymentStatus=in=(PAID,UNPAID);price>10)
page?integerZero-based page index (0..N)
Range
0 <= valueDefault
0size?integerThe size of the page to be returned
Range
1 <= valueDefault
20sort?array<string>Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Default
[ "createdAt,DESC"]search?stringOptional search term
Production steps retrieved successfully
application/json- response
content*array<unknown>totalElements*integertotalPages*integerpageNumber*integerpageSize*integerisEmpty*booleanisFirst*booleanisLast*booleancurl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/paginated?filter=string'{ "content": [ null ], "totalElements": 0, "totalPages": 0, "pageNumber": 0, "pageSize": 0, "isEmpty": true, "isFirst": true, "isLast": true}Last updated on